## aiosmtplib 3.0.2

=== Makefile ===
.PHONY: build install test isort black flake8 pyupgrade typecheck bandit lint security poetry-check docs

POETRY := poetry
PRECOMMIT := pre-commit

build:
	$(POETRY) build
install:
	$(POETRY) install
test:
	$(POETRY) run pytest
isort:
	$(PRECOMMIT) run isort --all-files --show-diff-on-failure
black:
	$(PRECOMMIT) run black --all-files --show-diff-on-failure
flake8:
	$(PRECOMMIT) run flake8 --all-files --show-diff-on-failure
pyupgrade:
	$(PRECOMMIT) run pyupgrade --all-files --show-diff-on-failure
typecheck:
	$(POETRY) run mypy aiosmtplib
bandit:
	$(POETRY) run bandit -n 10 -x tests ./
poetry-check:
	$(POETRY) check
lint: flake8 isort black pyupgrade poetry-check
security: bandit
docs:
	$(POETRY) run sphinx-build -nWT -b doctest -d ./docs/build/doctrees ./docs ./docs/build/html
	$(POETRY) run sphinx-build -nWT -b html -d ./docs/build/doctrees ./docs ./docs/build/html

## aiosmtplib 1.1.6

=== debian/changelog ===
aiosmtplib (1.1.6-1) unstable; urgency=medium

  * New upstream release 1.1.6
    - Patch 0001 included upstream - dropped
  * debian/gbp.conf to avoid having to specify the branch each time I do
    something…
  * d/rules: Use pybuild_after_install to rm hypothesis directory to make sure
    multiple Python versions at build time are handled properly
  * d/watch: Fix a typo
  * d/t/control:
    - Depend on all Python3 versions at test time
    - Allow stderr
  * d/control: Drop the version requirement for python3-all build dependency

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 29 Nov 2021 23:07:08 +0100

aiosmtplib (1.1.4-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload to allow testing migration. 
  * debian/control: Properly use Built-Using: ${sphinxdoc:Built-Using}.
  * debian/rules: Manually remove .hypothesis directory from built
    python package (lintian: package-contains-python-hypothesis-example).

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Nov 2021 15:47:47 -0500

aiosmtplib (1.1.4-1) unstable; urgency=low

  * Initial release (Closes: #987240)

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 08 May 2021 22:47:56 +0200

=== debian/control ===
Source: aiosmtplib
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-aiosmtpd,
               python3-all,
               python3-hypothesis,
               python3-pytest,
               python3-pytest-asyncio,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-autodoc-typehints
Standards-Version: 4.6.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://aiosmtplib.readthedocs.io
Vcs-Browser: https://salsa.debian.org/python-team/packages/aiosmtplib
Vcs-Git: https://salsa.debian.org/python-team/packages/aiosmtplib.git

Package: python3-aiosmtplib
Architecture: all
Depends: python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python3-aiosmtplib-doc
Description: Python3 asynchronous SMTP client for use with asyncio
 This is a SMTP client, but written to be based on asyncio for Python3.
 It is designed to work with standard EmailMessages (or MIMEMultipart, or any
 raw message), generated with the standard Python3 library and send these using
 the classic asyncio mechanics.
 .
 It supports TLS/SSL, STARTTLS and authentication.
 .
 This package contains the Python3 library.

Package: python3-aiosmtplib-doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Section: doc
Description: Documentation for python3-aiosmtplib
 This is a SMTP client, but written to be based on asyncio for Python3.
 It is designed to work with standard EmailMessages (or MIMEMultipart, or any
 raw message), generated with the standard Python3 library and send these using
 the classic asyncio mechanics.
 .
 It supports TLS/SSL, STARTTLS and authentication.
 .
 This package contains the documentation of the library.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

export PYBUILD_NAME=aiosmtplib
export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/docs' && rm -rf '{destdir}/{install_dir}/.hypothesis'

# main packaging script based on dh7 syntax
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs debian/_docs_build/html
	cp -a docs debian/_docs_build/rst
	dh_installdocs

execute_after_dh_compress:
	ln -sf ../../python3-aiosmtplib-doc/changelog.gz debian/python3-aiosmtplib-doc/usr/share/doc/python3-aiosmtplib/rst/changelog.rst.gz

=== debian/tests/control ===
Tests: python3-aiosmtplib
Depends: @,
         python3-all,
         python3-aiosmtpd,
         python3-hypothesis,
         python3-pytest,
         python3-pytest-asyncio
Restrictions: allow-stderr

## aiosmtplib 2.0.0

=== debian/changelog ===
aiosmtplib (2.0.0-1) unstable; urgency=medium

  * New upstream release 2.0.0 (Closes: #1024566, #1026538)
    - Add trustme as a Build-Dependency and a test dependency
  * d/copyright: update
  * d/control:
    - Bump Standards-Version to 4.6.1
    - Move the build system to poetry-core
    - Drop an unneeded Built-Using field
  * d/tests/python3-aiosmtplib: Use py3versions -s instead of -r

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 23 Dec 2022 00:04:02 +0100

aiosmtplib (1.1.6-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 19:30:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,17 @@
 Uploaders: Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-aiosmtpd,
                python3-all,
                python3-hypothesis,
+               python3-poetry-core,
                python3-pytest,
                python3-pytest-asyncio,
-               python3-setuptools,
                python3-sphinx,
-               python3-sphinx-autodoc-typehints
-Standards-Version: 4.6.0
+               python3-sphinx-autodoc-typehints,
+               python3-trustme
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://aiosmtplib.readthedocs.io
@@ -40,7 +42,6 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
 Section: doc
 Description: Documentation for python3-aiosmtplib
  This is a SMTP client, but written to be based on asyncio for Python3.

## aiosmtplib 3.0.2

=== debian/changelog ===
aiosmtplib (3.0.2-2) unstable; urgency=medium

  * Team upload.
  * Drop explicit dependency on python3-pkg-resources (Closes: #1083300)
  * Use dh-sequence-python3
  * Apply Multi-Arch: hint

 -- Alexandre Detiste <tchet@debian.org>  Fri, 07 Feb 2025 10:30:21 +0100

aiosmtplib (3.0.2-1) unstable; urgency=medium

  * New upstream release 3.0.2
  * Bump Standards-Version to 4.7.0
  * Depends on uvloop for performance

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 23 Aug 2024 15:45:30 +0200

aiosmtplib (3.0.1-1) unstable; urgency=medium

  * Team upload.

  [ Dale Richards ]
  * New upstream release 3.0.1 (Closes: #1058275, #1056226)
  * d/control:
    - Remove redundant Testsuite field (autopkgtest is already
      configured via d/tests/control)
    - Add build-depends: python3-sphinx-copybutton, furo
    - Bump standards version to 4.6.2, no changes needed
  * README.rst: Remove web images for privacy

  [ Stefano Rivera ]
  * Clean correctly. (Closes: #1044003)

 -- Dale Richards <dale@dalerichards.net>  Sun, 31 Dec 2023 13:46:13 -0400

=== debian/control ===
--- 
+++ 
@@ -4,29 +4,32 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-aiosmtpd,
                python3-all,
+               python3-hatchling,
                python3-hypothesis,
-               python3-poetry-core,
                python3-pytest,
                python3-pytest-asyncio,
                python3-sphinx,
                python3-sphinx-autodoc-typehints,
-               python3-trustme
-Standards-Version: 4.6.1
+               python3-sphinx-copybutton,
+               python3-trustme,
+               python3-uvloop,
+               furo,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
 Homepage: https://aiosmtplib.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/python-team/packages/aiosmtplib
 Vcs-Git: https://salsa.debian.org/python-team/packages/aiosmtplib.git
 
 Package: python3-aiosmtplib
 Architecture: all
-Depends: python3-pkg-resources,
-         ${misc:Depends},
-         ${python3:Depends}
+Depends:
+ python3-uvloop,
+ ${misc:Depends},
+ ${python3:Depends},
 Suggests: python3-aiosmtplib-doc
 Description: Python3 asynchronous SMTP client for use with asyncio
  This is a SMTP client, but written to be based on asyncio for Python3.
@@ -40,6 +43,7 @@
 
 Package: python3-aiosmtplib-doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Section: doc

## aiosmtplib 4.0.0

=== debian/changelog ===
aiosmtplib (4.0.0-1) unstable; urgency=medium

  * New upstream release 4.0.0
  * d/control:
    - Bump Standards-Version to 4.7.2
  * d/copyright refreshed

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 03 Apr 2025 14:47:13 +0200

## aiosmtplib 4.0.1

=== debian/changelog ===
aiosmtplib (4.0.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.0.1

 -- IanLucca <ian.lucca.mesquita@gmail.com>  Tue, 15 Jul 2025 17:51:29 -0300

## aiosmtplib 4.0.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = aiosmtplib
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
sphinx>=7.0.0
sphinx_autodoc_typehints>=1.24.0
sphinx-copybutton>=0.5.0
furo>=2023.9.10

=== debian/changelog ===
aiosmtplib (4.0.2-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Upgrade to v5.
  * New upstream release.
  * Port to pytest-asyncio 1.0.0.

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Sep 2025 12:33:33 +0100

aiosmtplib (4.0.1-1) unstable; urgency=medium

  * Team upload.
  * Copy pyproject.toml into test directory in autopkgtest (closes:
    #1111057).

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Aug 2025 10:24:56 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-trustme,
                python3-uvloop,
                furo,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://aiosmtplib.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/python-team/packages/aiosmtplib

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export PYBUILD_NAME=aiosmtplib
export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/docs' && rm -rf '{destdir}/{install_dir}/.hypothesis'

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_before_dh_installdocs:
	PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs debian/_docs_build/html
	cp -a docs debian/_docs_build/rst

execute_after_dh_compress:
	ln -sf ../../python3-aiosmtplib-doc/changelog.gz debian/python3-aiosmtplib-doc/usr/share/doc/python3-aiosmtplib/rst/changelog.rst.gz

=== debian/tests/control ===
Tests: python3-aiosmtplib
Depends: @,
         python3-all,
         python3-aiosmtpd,
         python3-hypothesis,
         python3-pytest,
         python3-pytest-asyncio,
         python3-trustme
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/aiosmtplib/
Matching-Pattern: aiosmtplib-@ANY_VERSION@@ARCHIVE_EXT@
Uversion-Mangle: s/(rc|a|b|c)/~$1/

## aiosmtplib 5.0.0

=== debian/changelog ===
aiosmtplib (5.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Dec 2025 11:44:22 +0000

## aiosmtplib 5.1.0

=== debian/changelog ===
aiosmtplib (5.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Feb 2026 16:26:09 +0000
